## org.apache.lucene.codecs.compressing
Class CompressingStoredFieldsIndexReader

    java.lang.Object
      org.apache.lucene.codecs.compressing.CompressingStoredFieldsIndexReader

All Implemented Interfaces:
  Closeable, Cloneable

    public final class CompressingStoredFieldsIndexReader

extends Object
implements Closeable, Cloneable

Random-access reader for `CompressingStoredFieldsIndexWriter`.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Method Summary
`CompressingStoredFieldsIndexReader` `clone()`
`void` `close()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clone

    public CompressingStoredFieldsIndexReader clone()

  Overrides:
    `clone` in class `Object`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.